#数据源配置
spring:
  redis:
    ##redis 单机环境配置
    host: 172.31.1.228
    port: 6379
    password:  Dh@82828800
    database: 1
    ssl: false
    ##redis 集群环境配置
    #cluster:
    #  nodes: 127.0.0.1:7001,127.0.0.1:7002,127.0.0.1:7003
    #  commandTimeout: 5000
  datasource:
    # MySql
    url: jdbc:mysql://172.31.1.233:3306/tsdb_cloud?useSSL=false&useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
    username: root
    password: Dh@82828800

    # PostgreSQL
    #url: jdbc:postgresql://127.0.0.1:5432/bladex_boot
    #username: postgres
    #password: 123456
    # Oracle
    #url: jdbc:oracle:thin:@127.0.0.1:1521:orcl
    #username: BLADEX_BOOT
    #password: BLADEX_BOOT
    # SqlServer
    #url: jdbc:sqlserver://127.0.0.1:1433;DatabaseName=bladex_boot
    #username: bladex_boot
    #password: bladex_boot
    # DaMeng
  #    url: jdbc:dm://172.1.0.215:5236/ZGXXXT?zeroDateTimeBehavior=convertToNull&useUnicode=true&characterEncoding=utf-8
  #    username: ZGXXXT
  #    password: ZGXXXT2022

  kafka:
    bootstrap-servers: 172.31.1.228:9092
    producer:
      retries: 0
      batch-size: 16384
      buffer-memory: 33554432
      key-serializer: org.apache.kafka.common.serialization.StringSerializer
      value-serializer: org.apache.kafka.common.serialization.StringSerializer
    consumer:
      group-id: kafka-ywxt-nm
      # 手动提交
      enable-auto-commit: false
      auto-offset-reset: latest
      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      properties:
        session.timeout.ms: 60000
    listener:
      log-container-config: false
      concurrency: 5
      # 手动提交
      ack-mode: manual_immediate
  mq-topic:
    ywxt-cloud-rtu-data-rain:  topic-ywxt-cloud-rtu-data-rain
    ywxt-cloud-rtu-data-river:  topic-ywxt-cloud-rtu-data-river
    ywxt-cloud-rtu-data-rsvr:  topic-ywxt-cloud-rtu-data-rsvr
    ywxt-rtu-status: ywxt-rtu-status
    ywxt-warning: ywxt-warning
    topic-etl-task-run-info: topic-etl-task-run-info
    topic-etl-rain: topic-etl-rain-data
    topic-etl-river: topic-etl-river-data
    topic-etl-rsvr: topic-etl-rsvr-data
    topic-etl-ground: topic-etl-ground-data
    topic-etl-promptly-collect:  topic-etl-promptly-collect
  apk:
    url: http://111.204.228.227:20002/app/apk
    save-path: D:\\tmp
  task-config:
    etl-task: false
    warning-check-task: false
    dept-update-task: false
  warn-config:
    delay-time: 120

export-config:
  workdir: D:\\tmp\\export
  equipment-info-template: equipment-template.xlsx
  inspection-remainingproblems-template: inspection-remainingproblems-template.xlsx
  inspection-unfinished-template: inspection-unfinished-template.xlsx

ftp-config:
  ip: 172.31.1.199
  port: 2221
  username: admin
  password: admin
  workdir: D:\\tmp\\ftp
  targetdir: ANALYSIS/CLDAS

rockdb-config:
  save-path: D:\\tmp\\rockdb

#第三方登陆
social:
  enabled: true
  domain: http://127.0.0.1:1888

#blade配置
blade:
  #分布式锁配置
  lock:
    ##是否启用分布式锁
    enabled: false
    ##redis服务地址
    address: redis://172.9.0.165:6379
    password:  Dh8282
  #本地文件上传
  file:
    remote-mode: true
    upload-domain: http://localhost:8999
    remote-path: /usr/share/nginx/html


